<script setup lang="ts">
import { ref } from "vue";
import { useFoodStore } from "../../stores/foods";
import { mdiClose, mdiArrowLeft } from "@mdi/js";
const itemDia = useFoodStore();
const increass = () => {
  return itemDia.itemQuanrity++;
};
const decreass = () => {
  if (itemDia.itemQuanrity <= 1) {
    return;
  }
  return itemDia.itemQuanrity--;
};
const endDialog = () => {
  itemDia.clear();
  return (itemDia.useDialogFood = false);
};
</script>

<template>
  <v-row justify="space-around">
    <v-dialog
      v-model="itemDia.useDialogFood"
      transition="dialog-bottom-transition"
      width="270"
      persistent
    >
      <v-card>
        <v-img
          cover
          max-height="195"
          class="text-white"
          src="https://www.sgethai.com/wp-content/uploads/2021/06/%E0%B8%AB%E0%B8%A1%E0%B8%B9%E0%B8%81%E0%B8%A3%E0%B8%B0%E0%B9%80%E0%B8%97%E0%B8%B5%E0%B8%A2%E0%B8%A1%E0%B9%81%E0%B8%9A%E0%B8%9A%E0%B8%99%E0%B9%89%E0%B8%B3%E0%B8%82%E0%B8%A5%E0%B8%B8%E0%B8%81%E0%B8%82%E0%B8%A5%E0%B8%B4%E0%B8%81.jpg"
        >
          <v-toolbar color="rgba(0, 0, 0, 0)" theme="dark">
            <template v-slot:prepend>
              <v-btn
                :icon="mdiArrowLeft"
                color="auto-grow"
                @click="endDialog"
              ></v-btn>
            </template>

            <!-- <v-toolbar-title class="text-h6"> Messages </v-toolbar-title> -->

            <template v-slot:append>
              <v-btn
                :icon="mdiClose"
                color="auto-grow"
                @click="endDialog"
              ></v-btn>
            </template>
          </v-toolbar>
        </v-img>

        <v-card-title>
          <div style="text-align: center">{{ itemDia.selectedItem?.name }}</div>
          <div style="text-align: center">
            {{ itemDia.selectedItem?.price }} บาท
          </div>
          <div style="text-align: center">
            <v-btn class="mr-4" @click="decreass">-</v-btn>
            <label>{{ itemDia.itemQuanrity }}</label>
            <v-btn class="ml-4" @click="increass">+</v-btn>
          </div>
        </v-card-title>
        <v-card-actions>
          <v-btn color="error" variant="elevated" @click="endDialog">
            กลับบ้าน
          </v-btn>
          <v-spacer></v-spacer>
          <v-btn color="success" variant="elevated" @click="endDialog">
            ทานร้าน
          </v-btn>
        </v-card-actions>

        <v-textarea
          label="หมายเหตุ"
          auto-grow
          variant="outlined"
          rows="1"
          row-height="15"
          class="mr-3 ml-3"
        ></v-textarea>
      </v-card>
    </v-dialog>
  </v-row>
</template>
